Subscription groups
Show the plans a subscription can switch to
https://rcur.app/api/v2/subscriptions/{subscriptionId}/plan
The other plans in the group of the subscription, each with what a switch right away (with proration) and a switch at the next payment would cost. Empty when the subscription cannot switch.
Requires your API key as Authorization: Bearer <key>. See authentication.
Path parameters
-
subscriptionIdstring required
Responses
200 The plans the subscription can switch to SubscriptionPlanOptions object
-
currentobject nullable required3 child attributes
-
template_idstring -
group_idstring nullable -
namestring
-
-
optionsarray of objects required8 child attributes
-
planstringId of the template to switch to, to send as plan
-
namestring -
descriptionstring nullable -
directionstringOne of
upgradedowngradeinterval -
currencystring -
amountnumberAmount per period of the new plan
-
intervalstring -
timingsobjectWhat the switch means per moment; immediate is null when it is not possible for this subscription
2 child attributes
-
immediateobject nullable -
next_paymentobject
-
-
-
scheduledSubscriptionPlanChange object required12 child attributes · SubscriptionPlanChange
-
statusstring requiredOne of
scheduledappliedcancelled -
timingstring requiredOne of
immediatenext_payment -
directionstring requiredOne of
upgradedowngradeinterval -
fromstring required -
tostring required -
effective_onstring requiredToday for a switch right away, otherwise the date of the next payment
-
currencystring -
old_amountstring -
new_amountstring -
creditstringCredit for the unused part of the running period (switch right away)
-
settlementstringAmount charged for the switch (switch right away)
-
credit_leftstringCredit that stays on the subscription for the next payments
-
404 Resource not found Error object
-
statusinteger required -
errorstring required